Bug 230682 - gnome-terminal incorrectly sets the TERM environment variable to "xterm", should be "gnome".
gnome-terminal incorrectly sets the TERM environment variable to "xterm", sho...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-01 23:15 EST by Sam Varshavchik
Modified: 2008-05-06 15:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:17:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Email message which triggers screen corruption in mutt. (7.67 KB, text/plain)
2007-03-12 06:26 EDT, Dr Eva Myers
no flags Details

  None (edit)
Description Sam Varshavchik 2007-03-01 23:15:11 EST
Description of problem:

The interactive shell spawned by gnome-terminal inherits TERM=xterm.  This
appears to be hardcoded in the gnome-terminal binary.  It appears that the xterm
terminfo entry in FC6 (and possibly earlier) is not an accurate description of
gnome-terminal's terminal emulation.

The "gnome" terminfo entry appears to be a better fit for gnome-terminal. 
gnome-terminal should set TERM=gnome before spawning the login shell.

Version-Release number of selected component (if applicable):

2.16.0-fc6

How reproducible:

I can generally reproduce display corruption using cone (in Extras); but it
looks like you need to have a large folder hierarchy displayed.  By scrolling
up/down through the folder listing I can usually cause some minor visible
corruption.

The corruption is gone if I set TERM=gnome.

By process of elimination, by comparing xterm and gnome terminfo entries, I
identified at least one code in xterm's terminfo entry that does not match
gnome-terminal's capabilities.  The terminfo entry for xterm contains this code:

cbt=\E[Z

If I remove the cbt code from the terminfo entry for xterm, and leave
TERM=xterm, the display corruption also disappears.  But there are also many
other differences between the two terminfo entries.  Other disrepancies are also
likely.

The current version of the ncurses package, used by cone and other
terminfo-based apps, aggressively tries to optimize its terminal output; it uses
nearly all terminfo entries where available, and is rather sensitive to
disrepancies between terminfo entries and the actual terminal device implementation.
Comment 1 Dr Eva Myers 2007-03-12 06:26:31 EDT
Created attachment 149811 [details]
Email message which triggers screen corruption in mutt.
Comment 2 Dr Eva Myers 2007-03-12 06:28:58 EDT
Just another data point: I am using Scientific Linux 4, and I have screen
refresh troubles when running mutt in a gnome-terminal, which go away if I set
TERM=gnome.  The attachment is an email message which consistently triggers the
corruption.
Comment 3 Bug Zapper 2008-04-04 02:25:12 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2008-05-06 15:17:50 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.